Temp Projects - Tasks #11258

Duplicate Sales order number not blocking
08/01/2023 07:21 PM - Rijas P

Status: Closed Start date: 08/01/2023
Priority: Immediate Due date:

Assignee: Rijas P % Done: 50%
Category: Estimated time: 0.00 hour

Target version: Spent time: 0.50 hour

Description

Central Server | User Rijas | Organization Euro Novelities LLc | Role: Office | Terminal Terminal 1

By v SALES HISTORY
%

Search By Order No Organisation Terminal Department Pay. Mode
Order No A e v e v = v Al
Doc. Status Customer Product Barcode Customer Group Sales Region
Completed v # -
Sales Representative Invoiced Invoice Type
. v Al v v [Oinclude Org Bpartner

3 ltems Found,Displaying All ltems1

All Orgs Sales History
Doc Status : Completed Order No: 66654 Printed By : Rijas on 01-Aug-2023 17:14:47

Document  Reference Invoice Doc Status Date Ref Customer Grand EFT Terminal SalesRep  Case

o No Document No | D0C Status Description R Ordered  User e Code Total muCice Iype Amount Hame Name o || RO IRCAmERTE
66654 66654 Completed | INVOICE :2‘:?‘;‘23 ﬁvznz:! :ciiz:k:;:g:i :iADI 1011511 420.000 g:l':l:i’lmlliﬂll 0.000 | Euro Shop m :::nnmnnu Reprint E‘,’;‘"
66654 66654 Completed | Involce ﬂ;;:;zsnza ﬂ;-znza :;Llig\g;;:ﬁi::scuuma 1012247 6,300.850 g:,':':m e 0.000 | Euro Snop :ﬁm :::mm“h Reprint S:’;‘_I
66654 66654 Completed :;—:;1-62023 ::;_2023 ‘Cash Customer - Outdoor 1011108 52.500 g:::'.n”m“”“ 0.000 | Terminal 1 Non-Trade ::t::hmmls Reprint g:;‘"
7,273.350 0.000

Dear Thanesh,

Duplicate order number not preventing on Sales order. PFA

Kindly solve immediately.

History

#1 - 08/02/2023 12:49 PM - Mohamed Suhail
- Status changed from New to In Progress

- % Done changed from 0 to 50

Rijas P wrote:

Central Server | User Rijas | Organization Euro Novelties LLc | Role: Office | Terminal Terminal 1

( _awv SALES HISTORY

Search By Order No Organisation Terminal Department Pay. Mode
Order No ~ : vl ~[ * v Al

Doc. Status Customer Product Barcode Customer Group Sales Region
Completed v 2 v

Sales Representative invoiced Invoice Type

v Al v ~ | O include Org Bpartner m

3 ltems Found. Displaying Al llems1

All Orgs Sales History
Doc Status : Completed Order No: 66654 Printed By : Rijas on 01-Aug-2023 17:14:47

Document  Reference Invoice Doc Status Date Ref Customer Grand EFT Terminal SalesRep  Case
o

DocumentNo D€ SIS paceription DateCreated  4ryareq  yser CeeEerhane Code Total lnvolceType || gnount Hame Hame Tioe || | Lo acAments

26-Jul-2023 26- NASER ALIAKBAR ASADI Order REHAN Add . | Edit

66654 66654 Completed | INVOICE T i SRS AE 1011511 420000 | o on 0.000 [Euro Shop | gy A |
27-Jul-2023 27- GIFTS VILLAGE DISCOUNTS Order REHAN Add Edit

66654 66654 Completed | invoice 17:34:28 Jul-2023 (L.L.C) (BRANCH) 1012247 6,800.850 Canhmatian 0.000 |Euro Shop SULTAN ARachments Reprint Deder
01-Aug-2023 01- Order Add Edit

66654 66654 Completed Sl Pt Cash Customer - Outdoor 1011108 s | ion 0.000 |Terminai 1 | Non-Trage iiacamentel || BEPAAE |

7,273.350 0.000
IDear Thanesh,

Duplicate order number not preventing on Sales order. PFA

Kindly solve immediately.

Rijas,

11/13/2025 12



In your case you are entering order no manually from the sales order screen and we are checking for duplicate based on doctype and customer. In
this case the customer to which you created sales orders are different. Please see below the previous transactions where the same order no is used
on multiple orders

count | documentno | c_doctype_id ordertype array_agg min
max

2 | 31709 | 1000029 Customer Returned Order {1000433,1000413} 2015-11-29 10:51:07 2016-
07-20 10:09:34

2 | 31882 | 1000029 Customer Returned Order {1000491,1000435} 2016-09-15 17:17:20 2016-
09-26 08:30:27

2 | 32353 | 1000029 Customer Returned Order {1000411,1000626} 2015-09-08 13:02:37 2017-
03-08 11:14:20

2 | 33072 | 1000029 Customer Returned Order {1000681,1000430} 2016-02-15 08:42:44 2017-
10-26 10:09:23

2 | 33503 | 1000029 Customer Returned Order {1000430,1000372} 2016-02-14 10:27:28 2018-
03-31 08:40:06

2 | 33579 | 1000029 Customer Returned Order {1000411,1000443} 2015-11-17 13:07:46 2018-
04-16 09:57:54

2 | 33653 | 1000029 Customer Returned Order {1000440,1000491} 2017-01-08 11:25:38 2018-
05-08 09:13:30

2 | 34422 | 1000029 Customer Returned Order {1000634,1000411} 2016-02-15 08:25:47 2019-
01-03 10:54:38

2 | 34660 | 1000029 Customer Returned Order {1000054,1000713} 2013-12-11 16:49:42 2019-
03-12 09:24:02

2 | 1034229 | 1000030 POS Order {1001152,1011223} 2020-01-12 13:13:39 2020-
01-16 13:24:04

2 | 45906 | 1000029 Customer Returned Order {1000411,1011349} 2017-03-15 16:35:56 2022-
02-08 12:36:58

2 | 46166 | 1000029 Customer Returned Order {1000228,1011320} 2016-07-24 10:59:50 2022-
06-11 17:16:00

2 | 46244 | 1000029 Customer Returned Order {1000171,1000902} 2018-06-07 14:43:35 2022-
08-13 17:04:52

2 | 46275 | 1000029 Customer Returned Order {1000450,1001161} 2016-05-23 10:28:26 2022-
09-13 18:28:58

2 | 15 | 230010223 Quotation {1000602,1001161} 2021-11-01 14:58:56 2023-
01-19 18:13:37

2 | 46596 | 1000029 Customer Returned Order {1000715,1000063} 2017-03-30 12:17:10 2023-
02-03 15:56:11

2 | 20 | 230010223 Quotation {1011754,1001161} 2021-11-10 12:48:05 2023-
05-12 10:28:21

2 |1 21 | 230010223 Quotation {1011753,1011417} 2021-11-15 12:09:10 2023-
05-25 18:49:54

2 | 22 | 230010223 Quotation {1000293,1000932} 2021-11-15 13:27:36 2023-
05-31 19:57:58

2 | 66654 | 1000030 POS Order {1000732,1011559} 2023-07-26 21:11:24 2023-
07-27 17:34:26
(20 rows)
#2 - 08/08/2023 10:58 AM - Peer Thanesh
- Assignee changed from Peer Thanesh to Rijas P
#3 - 11/16/2023 01:08 PM - Rijas P
- Status changed from In Progress to Closed
#4 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects
- Category deleted (Others)
